GET /data/scenes/{scene_id}

Get a scene by id. Returns full scene data needed by clients.

Path parameters

  • scene_id Required

Responses

  • 200 application/json

    Scene found and returned

    Hide response attributes Show response attributes object
    • id string(uuid)
    • name string
    • project_id string(uuid)
GET /data/scenes/{scene_id}
curl -X GET "http://api.example.com/data/scenes/a24a6ea4-ce75-4665-a070-57453082c25" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/scenes/a24a6ea4-ce75-4665-a070-57453082c25"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request GET 'http://api.example.com/data/scenes/a24a6ea4-ce75-4665-a070-57453082c25' \
 --header "Authorization: $API_KEY"
Response examples (200)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "name": "SC001",
  "project_id": "b24a6ea4-ce75-4665-a070-57453082c25"
}